program random(input);
var p,i:integer;
    bf:packed array[1:100]of char;
begin
update(input);
while true do begin
write(tty,'>>');
readln(tty);read(tty,p);
setpos(input,p);
writeln(tty,curpos(input));
read(input,bf:i);
writeln(tty,i,bf:i);
writeln(tty,curpos(input));
write(tty,'New: ');
readln(tty);read(tty,bf:i);
setpos(input,p,true);
write(input,bf:i);
end
